curl -X POST 'https://api.goatpay.com.br/v1/oauth-apps/clients/regenerate-secret/clx_app_01/PRODUCTION' \
-H 'X-API-Key: gp_live_SUA_CHAVE'
{
"success": true,
"message": "Client secret regenerado com sucesso",
"data": {
"client": {
"id": "clx_client_prod",
"environment": "PRODUCTION",
"clientId": "gp_oauth_live_x9y8z7...",
"clientSecretPreview": "gp_oauth_live_...****",
"status": "ACTIVE",
"redirectUris": [
{ "id": "clx_uri_2", "uri": "https://sua-app.com/oauth/callback" }
]
},
"clientSecret": "gp_oauth_live_NOVO_SECRET_AQUI"
},
"requestId": "req_oauth_regen"
}
Gestão
Regenerar client secret
Invalida o secret anterior e retorna um novo client secret.
POST
/
oauth-apps
/
clients
/
regenerate-secret
/
{applicationId}
/
{environment}
curl -X POST 'https://api.goatpay.com.br/v1/oauth-apps/clients/regenerate-secret/clx_app_01/PRODUCTION' \
-H 'X-API-Key: gp_live_SUA_CHAVE'
{
"success": true,
"message": "Client secret regenerado com sucesso",
"data": {
"client": {
"id": "clx_client_prod",
"environment": "PRODUCTION",
"clientId": "gp_oauth_live_x9y8z7...",
"clientSecretPreview": "gp_oauth_live_...****",
"status": "ACTIVE",
"redirectUris": [
{ "id": "clx_uri_2", "uri": "https://sua-app.com/oauth/callback" }
]
},
"clientSecret": "gp_oauth_live_NOVO_SECRET_AQUI"
},
"requestId": "req_oauth_regen"
}
Permissão:
oauth-apps/clients/regenerate-secret.
curl -X POST 'https://api.goatpay.com.br/v1/oauth-apps/clients/regenerate-secret/clx_app_01/PRODUCTION' \
-H 'X-API-Key: gp_live_SUA_CHAVE'
{
"success": true,
"message": "Client secret regenerado com sucesso",
"data": {
"client": {
"id": "clx_client_prod",
"environment": "PRODUCTION",
"clientId": "gp_oauth_live_x9y8z7...",
"clientSecretPreview": "gp_oauth_live_...****",
"status": "ACTIVE",
"redirectUris": [
{ "id": "clx_uri_2", "uri": "https://sua-app.com/oauth/callback" }
]
},
"clientSecret": "gp_oauth_live_NOVO_SECRET_AQUI"
},
"requestId": "req_oauth_regen"
}
Parâmetros
string
required
ID da aplicação OAuth.
string
required
DEV ou PRODUCTION.O secret anterior deixa de funcionar imediatamente em POST /oauth/token.
Authorizations
Chave gp_live_... criada em Integrações → Chaves de API no dashboard.
Path Parameters
Available options:
DEV, PRODUCTION 
